Resolve a git reference to a commit SHA for an imported repository
curl --request POST \
--url https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/repositories/{repositoryId}/commits/resolveGitRef \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/repositories/{repositoryId}/commits/resolveGitRef"
payload = { "value": "<string>" }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/repositories/{repositoryId}/commits/resolveGitRef', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commitId": "<string>",
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}ProjectsCommits
Resolve a git reference to a commit SHA for an imported repository
Resolves a git reference (branch, tag, head, etc.) to a concrete commit SHA for the given imported git repository on this project. Required permissions: ListProject.
POST
/
api
/
projects
/
beta
/
projects
/
{projectId}
/
repositories
/
{repositoryId}
/
commits
/
resolveGitRef
Resolve a git reference to a commit SHA for an imported repository
Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Project ID
Imported git repository ID
Body
application/json
Git reference to resolve
Related topics
Resolve a git reference to a commit SHAGit-based ProjectsAdd an imported git repository to this projectGet all imported git repositories in this projectWas this page helpful?
⌘I